Description

Currently, in the 1:1 NAT Ul, the "External subnet IP" field cannot be populated with options such as "WAN address" or "WAN
subnet", but only with a fixed IP address.

This works fine for access setups such as RFC 1483 "routed", but doesn't work for more modern setups such as multiple PPPoE
tunnels over the same Ethernet layer to get multiple dynamic IP addresses.

Use cases are pretty much anything benefitting from end-to-end communications such as gaming, home-hosted servers, home
automation/surveillance systems, etc.

The workaround I'm currently using comprises creating Port Forward, Outbound and Policy Routing rules, which enormously
complicates the setup for artificial reasons (i.e. the scripts for these features support interface addresses while 1:1 only supports
fixed addresses).

Associated revisions

Revision e5e7d84c - 06/27/2020 01:44 AM - Viktor Gurov
Support dynamic interface address for 1:1 NAT. Implements #7705

History

#1 - 08/13/2019 03:46 PM - Jim Pingle
- Category set to Rules / NAT

#2 - 06/25/2020 09:12 AM - Viktor Gurov

https://github.com/pfsense/pfsense/pull/4375

#3 - 06/25/2020 09:55 AM - Jim Pingle
- Status changed from New to Pull Request Review

- Target version set to 2.5.0
#4 - 06/29/2020 07:05 AM - Renato Botelho
- Status changed from Pull Request Review to Feedback

- Assignee set to Renato Botelho

- % Done changed from 0 to 100

PR has been merged. Thanks!

09/24/2020 1/1



https://github.com/pfsense/pfsense/pull/4375
http://www.tcpdf.org

